/* ======================
   HEADER
====================== */
.site-header {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	width: 100%;
	z-index: 20;
	color: #fff;
}

.header-top {
	margin: 0 auto;
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 0;
	position: relative;
	height: var(--header-height);
}

.header-lang {
	position: absolute;
	left: 20px;
	top: 50%;
	transform: translateY(-50%);
}

.header-nav {
	text-align: center;
	overflow: visible;
	max-width: 100%;
	margin: 0 auto;
	padding: 0;

}

#main-menu {
	display: flex;
	list-style: none;
	flex-wrap: wrap !important;
	max-width: 1240px;
	margin: 0 auto;

}


#main-menu li a {
	color: #fff !important;
	text-transform: uppercase !important;
	font-size: 23px !important;
	white-space: nowrap !important;
	margin: 0 5px;
	padding-top: 0;
	padding-bottom: 0;
	position: relative;

}

/*
#main-menu li a:after {
	content: '';
	height: 20px;
	width: 2px;
	background-color: currentColor;
	display: inline-block;
	position: absolute;
	right: -11px;
	top: 2px;
}*/

/*#main-menu > li:last-child > a:after {
	display: none;
}*/


.header-border {
	width: 100%;
	height: 1px;
	background: rgba(255, 255, 255, 0.4);
	margin: 0 auto;
	margin: 0 auto;
}

.header-logo, .header-logo img {
	max-width: 290px;
	width: 100%;
}

.lang-switcher {
	position: relative;
}


.lang-switcher img {
	width: 38px;
	height: 38px;
	border-radius: 50%;
	object-fit: cover;
	margin-right: 8px;
	background: #fff;
}

.lang-dropdown {
	position: absolute;
	top: 100%;
	left: 0;
	background: #fff;
	border-radius: 4px;
	margin: 6px 0 0;
	padding: 6px 0;
	list-style: none;
	width: 100%;
	display: none;
	z-index: 1000;
}

.lang-dropdown li a {
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 6px;
	padding: 6px 10px;
	color: var(--main-color);
	text-decoration: none;
	white-space: nowrap;
}

.lang-dropdown li a:hover {
	background: rgba(255, 255, 255, 0.1);
}

.lang-current {
	display: flex;
	align-items: center;
	gap: 8px;
	padding: 0;
	margin: 0;
	background: transparent;
	border: none;
	color: #fff;
	font-weight: 400;
	cursor: pointer;
}

.lang-arrow {
	transition: transform 0.25s ease;
}

.lang-switcher.open .lang-arrow {
	transform: rotate(180deg);
}

.custom-hamburger {
	position: absolute !important;
	right: 0 !important;
	top: 50% !important;
	transform: translateY(-50%) !important;
	z-index: 9999 !important;
}

body.rtl .site-footer #main-menu li a {
	text-align: left !important;
	margin-left: 0 !important;
}

body.rtl #main-menu li a {
	text-align: right !important;
}

/* =========================
	   CUSTOM HAMBURGER
	========================= */
.custom-hamburger {
	border: none !important;
	background: transparent !important;
	padding: 10px 0 !important;
	display: flex !important;
	flex-direction: column !important;
	gap: 6px !important;
	cursor: pointer;
}

.custom-hamburger span {
	display: block;
	width: 30px;
	height: 1px;
	background-color: #ffffff !important;
	transition: all 0.3s ease;
	z-index: 999;
}

.custom-hamburger.active span:nth-child(1) {
	transform: translateY(5px) rotate(45deg);
}

.custom-hamburger.active span:nth-child(2) {
	opacity: 0;
}

.custom-hamburger.active span:nth-child(3) {
	transform: translateY(-9px) rotate(-45deg);
}

.navbar-expand-md .navbar-collapse {
	display: none !important;
}

.navbar-expand-md .navbar-collapse.show {
	display: flex !important;

}

.lang-switcher img {
	margin-right: 4px;
	width: 28px;
	height: 28px;
}


.lang-switcher {
	display: inline-block;
	position: absolute;
	left: 0;
	top: 50%;
	transform: translateY(-50%);
}

.header-nav {
	background: transparent;
}

#main-menu {
	flex-direction: column;
	align-items: flex-start;
	gap: 24px;
	padding: 50px 0;
	width: 100%;
	margin: 32px 0;

}

#site-header #main-menu {
	height: 100vh;
	justify-content: flex-start;
}

.header-logo {
	display: inline-block !important;
	margin: auto;
	position: absolute !important;
	right: 0;
	top: 50%;
	transform: translateY(-50%);
	left: 0 !important;
}

.navbar-collapse {
	background: linear-gradient(
			90deg,
			rgba(230, 57, 70, 0.9),
			rgba(63, 79, 163, 0.9)
	);
}